<?php

use App\Http\Controllers\ProviderClientBlockController;
use Illuminate\Support\Facades\Route;

Route::get('/provider-client-blocks/{providerId}',     [ProviderClientBlockController::class, 'index'])->middleware('permission:config.provider_client_block,view');
Route::get('/provider-client-blocks/{providerId}/ids', [ProviderClientBlockController::class, 'getBlockedClients'])->middleware('permission:config.provider_client_block,view');
Route::post('/provider-client-blocks',                 [ProviderClientBlockController::class, 'store'])->middleware('permission:config.provider_client_block,add');
Route::delete('/provider-client-blocks/{id}',          [ProviderClientBlockController::class, 'destroy'])->middleware('permission:config.provider_client_block,delete');
